Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160194 - ruby-tcltk x86_64 rpm missing tcltklib.so
Summary: ruby-tcltk x86_64 rpm missing tcltklib.so
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ruby
Version: 3
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Akira TAGOH
QA Contact: Bill Huang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-13 09:21 UTC by Robert Bogomip
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 1.8.2-1.fc3.2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-17 06:10:16 UTC


Attachments (Terms of Use)

Description Robert Bogomip 2005-06-13 09:21:08 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.0.4-1.3.1 Firefox/1.0.4

Description of problem:
After installing ruby-tcltk-1.8.2-1.FC3.1.x86_64.rpm and trying to run one of the examples I get:

$ ruby /usr/share/doc/ruby-tcltk-1.8.2/tk/sample/demos-en/hello
/usr/lib64/ruby/1.8/tk.rb:7:in `require': No such file to load -- tcltklib (LoadError)
        from /usr/lib64/ruby/1.8/tk.rb:7
        from /usr/share/doc/ruby-tcltk-1.8.2/tk/sample/demos-en/hello:2:in `require'
        from /usr/share/doc/ruby-tcltk-1.8.2/tk/sample/demos-en/hello:2

A bit of investigation reveals that the i386 rpm contains the file "/usr/lib/ruby/1.8/i386-linux/tcltklib.so". The corresponding file ("/usr/lib/ruby/1.8/x86_64-linux/tcltklib.so" presumably) is missing from the x86_64 rpm.

Version-Release number of selected component (if applicable):
ruby-tcltk-1.8.2-1.FC3.1.x86_64.rpm

How reproducible:
Always

Steps to Reproduce:
1. Install ruby-tcltk-1.8.2-1.FC3.1.x86_64.rpm
2. ruby /usr/share/doc/ruby-tcltk-1.8.2/tk/sample/demos-en/hello
3.
  

Actual Results:  Ruby reports "/usr/lib64/ruby/1.8/tk.rb:7:in `require': No such file to load -- tcltklib (LoadError)"

Expected Results:  Standard "Hello World!" tk dialog should have popped up

Additional info:

Comment 1 Akira TAGOH 2005-06-17 06:10:16 UTC
Fixed in 1.8.2-1.fc3.2 for FC3, 1.8.2-7.fc4.1 for FC4 and 1.8.2-8 for devel.


Note You need to log in before you can comment on or make changes to this bug.